Skip to main content
GET
/
voices
Get Voice List from Library
curl --request GET \
  --url https://api.jogg.ai/v1/voices \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jogg.ai/v1/voices"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jogg.ai/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 123,
  "msg": "<string>",
  "data": {
    "total": 10,
    "voices": [
      {
        "name": "Emily",
        "voice_id": "en-US-ChristopherNeural",
        "audition_url": "https://jogg-test.cds8.cn/jogg/2024-08-05/3020cde64e75c1a3a232ec325e3d1790.mp3",
        "language": "english",
        "gender": "female",
        "age": "adult"
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:10

Page size

Required range: x >= 1
age
enum<string>

Filter voices by age:

  • young

  • middle_aged

  • old

Available options:
young,
middle_aged,
old
gender
enum<string>

Filter voices by gender:

  • male
  • female
Available options:
male,
female
language
enum<string>

Filter voices by language:

  • english - English

  • filipino - Filipino

  • french - French

  • german - German

  • hindi - Hindi

  • indonesian - Indonesian

  • italian - Italian

  • japanese - Japanese

  • korean - Korean

  • malay - Malay

  • portuguese - Portuguese

  • russian - Russian

  • spanish - Spanish

  • thai - Thai

  • vietnamese - Vietnamese

  • arabic - Arabic

  • greek - Greek

  • turkish - Turkish

  • slovenian - Slovenian

  • croatian - Croatian

  • romanian - Romanian

  • chinese - Simplified Chinese

  • bengali - Bengali

  • urdu - Urdu

  • hungarian - Hungarian

  • traditional-chinese - Traditional Chinese

  • polish - Polish

  • cantonese - Cantonese

  • danish - Danish

  • malayalam - Malayalam

  • tamil - Tamil

  • telugu - Telugu

  • czech - Czech

  • hebrew - Hebrew

  • zulu - Zulu

  • swedish - Swedish

  • lithuanian - Lithuanian

  • dutch - Dutch

  • flemish - Flemish

  • norwegian - Norwegian

  • finnish - Finnish

  • bulgarian - Bulgarian

  • latvian - Latvian

  • ukrainian - Ukrainian

  • mongolian - Mongolian

  • persian - Persian

  • odia - Odia

  • assamese - Assamese

  • kannada - Kannada

  • tagalog - Tagalog

  • amharic - Amharic

  • serbian - Serbian

  • slovak - Slovak

  • swahili - Swahili

Available options:
english,
filipino,
french,
german,
hindi,
indonesian,
italian,
japanese,
korean,
malay,
portuguese,
russian,
spanish,
thai,
vietnamese,
arabic,
greek,
turkish,
slovenian,
croatian,
romanian,
chinese,
bengali,
urdu,
hungarian,
traditional-chinese,
polish,
cantonese,
danish,
malayalam,
tamil,
telugu,
czech,
hebrew,
zulu,
swedish,
lithuanian,
dutch,
flemish,
norwegian,
finnish,
bulgarian,
latvian,
ukrainian,
mongolian,
persian,
odia,
assamese,
kannada,
tagalog,
amharic,
serbian,
slovak,
swahili

Response

200 - application/json

Success

code
integer
required

Business status code:

  • 0 - Success

  • 10104 - Record not found

  • 10105 - Invalid API key

  • 18020 - Insufficient credit

  • 18025 - No permission to call APIs.

  • 40000 - Parameter error

  • 50000 - System error

msg
string
required

Response message

data
object